%define nightly @NIGHTLY_VERSION@
%define _prefix /usr
%define _mandir %{_prefix}/share/man
%define _sysconfdir %{_prefix}/etc
%define release 1

Name: @PACKAGE@
Version: @BASE_VERSION@
Release: %{?nightly:0.%{nightly}}%{!?nightly:%{release}}%{?dist}
Summary: LSC Algorithm Pulsar Library
License: GPLv2+
Group: LAL
Source: %{name}-%{version}%{?nightly:-%{nightly}}.tar.xz
URL: https://wiki.ligo.org/DASWG/LALSuite
Packager: Adam Mercer <adam.mercer@ligo.org>
BuildRequires: cfitsio-devel
BuildRequires: fftw-devel
BuildRequires: gsl-devel
BuildRequires: numpy
BuildRequires: octave-devel
BuildRequires: python-devel
BuildRequires: swig >= 3.0.7
BuildRequires: lal-devel >= @MIN_LAL_VERSION@
BuildRequires: lal-octave >= @MIN_LAL_VERSION@
BuildRequires: lal-python >= @MIN_LAL_VERSION@
BuildRequires: lalxml-devel >= @MIN_LALXML_VERSION@
BuildRequires: lalxml-octave >= @MIN_LALXML_VERSION@
BuildRequires: lalxml-python >= @MIN_LALXML_VERSION@
Requires: cfitsio
Requires: fftw
Requires: gsl
Requires: lal >= @MIN_LAL_VERSION@
Requires: lalxml >= @MIN_LALXML_VERSION@
Prefix: %{_prefix}

%description
The LSC Algorithm Pulsar Library for gravitational wave data analysis.
This package contains the shared-object libraries needed to run applications
that use the LAL Pulsar library.

%package devel
Summary: Files and documentation needed for compiling programs that use LAL Pulsar
Group: LAL
Requires: %{name} = %{version}
Requires: cfitsio-devel
Requires: fftw-devel
Requires: fftw-static
Requires: gsl-devel
Requires: lal-devel >= @MIN_LAL_VERSION@
Requires: lalxml-devel >= @MIN_LALXML_VERSION@
%description devel
The LSC Algorithm Pulsar Library for gravitational wave data analysis.
This package contains files needed build applications that use the LAL
Pulsar library.

%package python
Summary: Python bindings for LALPulsar
Group: LAL
Requires: %{name} = %{version}
Requires: numpy
Requires: python
Requires: lal-python >= @MIN_LAL_VERSION@
Requires: lalxml-python >= @MIN_LALXML_VERSION@
%description python
This package provides the Python bindings for LALPulsar.

%package octave
Summary: Octave bindings for LALPulsar
Group: LAL
Requires: %{name} = %{version}
Requires: octave
Requires: lal-octave >= @MIN_LAL_VERSION@
Requires: lalxml-octave >= @MIN_LALXML_VERSION@
%description octave
This package provides the Octave bindings for LALPulsar.

%prep
%setup -q -n %{name}-%{version}%{?nightly:-%{nightly}}

%build
%configure --disable-gcc-flags --enable-swig --enable-cfitsio
%{__make} V=1

%check
%{__make} V=1 check

%install
%make_install
find $RPM_BUILD_ROOT%{_libdir} -name '*.la' -delete

%post
ldconfig

%postun
ldconfig

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}%{?nightly:-%{nightly}}

%files
%defattr(-,root,root)
%{_bindir}/lalpulsar_version
%{_datarootdir}/lalpulsar/*
%{_libdir}/*.so.*
%{_sysconfdir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/lal
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files python
%defattr(-,root,root)
%{_libdir}/python*

%files octave
%defattr(-,root,root)
%{_prefix}/lib*/octave/*/site/oct/*/lalpulsar.oct*

# dates should be formatted using: 'date +"%a %b %d %Y"'
%changelog
* Tue Feb 07 2017 Adam Mercer <adam.mercer@ligo.org> 1.16.0-1
- O2 release

* Mon Sep 26 2016 Adam Mercer <adam.mercer@ligo.org> 1.15.0-1
- ER10 release

* Thu Jun 23 2016 Adam Mercer <adam.mercer@ligo.org> 1.14.0-1
- ER9 release

* Fri Mar 25 2016 Adam Mercer <adam.mercer@ligo.org> 1.13.0-1
- Pre O2 packaging test release
